<?xml version="1.0" encoding="UTF-8"?>
<option id="options_gmfl">
    <type>GMFL</type>
    <title>OPTIONS</title>
    <rows>130</rows>
    <width>1300</width>
    <height>700</height>
    <pbin>NO</pbin>
    <base_path>..</base_path>
    <clase>
     
        <table>sdm_options</table>
        <id_field>i4_option_id</id_field>
        <autoincrement>NO</autoincrement>
        <select_fields>i4_option_id,v64_option,i4_class_id,v64_class,v64_subject,v64_action,c8_optiontype_id,c4_component_id,c8_tipo_aplicacion_id,c8_tipo_modulo_id,txt_comment,ts_update,ts_in</select_fields>
        <insert_fields>i4_option_id,v64_option,i4_class_id,v64_class,v64_subject,v64_action,c8_optiontype_id,c4_component_id,c8_tipo_aplicacion_id,c8_tipo_modulo_id,txt_comment,ts_in</insert_fields>
        <update_fields>i4_option_id,v64_option,i4_class_id,v64_class,v64_subject,v64_action,c8_optiontype_id,c4_component_id,c8_tipo_aplicacion_id,c8_tipo_modulo_id,txt_comment</update_fields>
        <delete_fields>i4_option_id</delete_fields>                 
        <needed_fields>i4_option_id,v64_option,i4_class_id,v64_class,c8_optiontype_id,c8_tipo_aplicacion_id,c8_tipo_modulo_id</needed_fields>        
        <order_by>1</order_by>
        <direction>asc</direction>
        <offset>0</offset>
        <limit>200</limit>
        <select_labels id="c8_tipo_aplicacion_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_tipo_aplicaciones</table>
            <id_field>c8_tipo_aplicacion_id</id_field>
            <fields>v64_tipo_aplicacion</fields>
            <document_fields>v64_tipo_aplicacion</document_fields>
        </select_labels>
        <select_labels id="c8_tipo_modulo_id">
            <id_type>NORMAL</id_type>
            
            <table>sdm_tipo_modulos</table>
            <id_field>c8_tipo_modulo_id</id_field>
            <fields>v64_tipo_modulo</fields>
            <document_fields>v64_tipo_modulo</document_fields>
        </select_labels>        
        <select_labels id="null"></select_labels>
        <associations>NO</associations>        
    </clase>
    <elements>c8_tipo_aplicacion_id,c8_tipo_modulo_id,c8_optiontype_id</elements>
    <element id="c8_tipo_aplicacion_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>APLICACION ID</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            
            <table>sdm_tipo_aplicaciones</table>
            <keys>c8_tipo_aplicacion_id</keys>
            <fields>v64_tipo_aplicacion</fields>
        </clase>
    </element>
    <element id="c8_tipo_modulo_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>MODULO ID</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            
            <table>sdm_tipo_modulos</table>
            <keys>c8_tipo_modulo_id</keys>
            <fields>v64_tipo_modulo</fields>
        </clase>
    </element>
    <element id="c8_optiontype_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>OPTION TYPE ID</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            
            <table>sdm_optiontypes</table>
            <keys>c8_optiontypes_id</keys>
            <fields>v64_optiontype</fields>
        </clase>
    </element>    
    <element id ="null"></element>
    <grid>
        <columns>i4_option_id,v64_option,c4_component_id,i4_class_id,v64_class,v64_subject,v64_action,c8_optiontype_id,v64_tipo_aplicacion,v64_tipo_modulo</columns>
        <column id="i4_option_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options</elements>
            <element id="options">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>option_functions</clase>
                <left>100</left>
                <top>100</top>
                <id_field>i4_option_id</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="v64_option">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESCRIPTION</header>
                <width>64</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_tipo_aplicacion">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>APLICACION</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_tipo_modulo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>MODULO</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c4_component_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>COMPONENT</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="i4_class_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>CLASS ID</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_class">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>CLASS</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_subject">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>SUBJECT</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="v64_action">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ACTION</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c8_optiontype_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TIPO</header>
                <width>48</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:top</tdbody_style>
    </grid>    
</option>